#!/bin/bash
# Source : ftp://linux.pte.hu/pub/gtkdialog/
# Packager : Jean-Philippe Guillemin <jp.guillemin@free.fr>


softversion='0.7.21'
packageversion='52.1'
softname='gtkdialog'

arch='i486'
cpu='i686'

buildir=$(pwd)

srcpkg="$buildir/$softname-$softversion.tar.gz"
src="$buildir/$softname-$softversion"

package="$softname-$softversion-$arch-$packageversion"

dest="$buildir/$package"


cd $buildir
rm -rf $src
tar -xvf $srcpkg
rm -f $dest.tgz
rm -rf $dest
mkdir -p $dest
chown -R root:root .
export CFLAGS="-O2 -march=$arch -mtune=$cpu"

cd $src
./configure --prefix=/usr --sysconfdir=/etc
make DESTDIR=$dest
make install DESTDIR=$dest

mkdir -p $dest/usr/doc/$softname-$softversion
cp -a  \
  AUTHORS README COPYING ChangeLog INSTALL \
  $dest/usr/doc/$softname-$softversion

cp -rf examples $dest/usr/doc/$softname-$softversion/examples

( cd $dest
  find . | xargs file | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded
)

gzip -9 $dest/usr/man/man?/*



# redundant
rm -rf $dest/usr/share/doc
rm -rf $dest/usr/info

# Description file
mkdir -p $dest/install

cat << "EODESC" > $dest/install/slack-desc
gtkdialog: gtkdialog is a GTK GUI binding
gtkdialog:
gtkdialog: Gtkdialog is an utility for fast and easy GUI building.
gtkdialog: It allows any language to display GTK widgets.
gtkdialog: Widgets are discribed by an XML tree, making the GUI 
gtkdialog: definition portable and language independent.
gtkdialog: 
gtkdialog:
gtkdialog:
gtkdialog:
gtkdialog:
EODESC

mkdir -p $dest/usr/src/$softname-$softversion
cp $buildir/build-$softname.sh $dest/usr/src/$softname-$softversion


cd $dest
makepkg -l y -c n $dest.tgz




